﻿using System;
using System.Windows.Forms;

namespace Plugins
{
    public partial class ConfigForm : Form
    {
        private UCCNCplugin plugin;

        public ConfigForm(UCCNCplugin p)
        {
            InitializeComponent();
            plugin = p;

            // Centra la finestra sullo schermo
            this.StartPosition = FormStartPosition.CenterScreen;

            // Forza la finestra sempre in primo piano
            this.TopMost = true;
        }

        private void ConfigForm_Load(object sender, EventArgs e)
        {
            // Imposta il valore iniziale
            numericUpDown1.Value = (decimal)plugin.Deadzone;

            // Porta la finestra in primo piano e le dà il focus
            this.BringToFront();
            this.Activate();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            plugin.Deadzone = (double)numericUpDown1.Value;
            plugin.SaveDeadzone(); // Salviamo nel profilo
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void numericUpDown1_ValueChanged(object sender, EventArgs e)
        {

        }
    }
}
